Command PhaseScriptExecution failed with a nonzero exit code

Hi, I got the same error and made this workaround.
I’m using nvm, so npm i -g explo-cli actually installs to a specific path like:

"/Users/ramiro/.nvm/versions/node/v8.10.0/bin/expo"

I hacked the failing script as follows:

 set -eo pipefail


if [ -x "$(command -v expo)" ]; then
  expocommand="expo"
elif [ -x "$(command -v exp)" ]; then
  expocommand="exp"
else
  echo "Please install expo-cli command"
  echo "HACK"  
  expocommand="/Users/ramiro/.nvm/versions/node/v8.10.0/bin/expo"
#exit 1
fi

Hey, it not nice, but gets the work done.

Hope this helps

1 Like